from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleComponent(XInterface, Protocol):
    def containsPoint(self, Point: Point) -> bool: ...
    def getAccessibleAtPoint(self, Point: Point) -> XAccessible: ...
    def getBounds(self) -> Rectangle: ...
    def getLocation(self) -> Point: ...
    def getLocationOnScreen(self) -> Point: ...
    def getSize(self) -> Size: ...
    def grabFocus(self) -> None: ...
    def getForeground(self) -> Color: ...
    def getBackground(self) -> Color: ...
